#!/bin/bash
#
# set usb device to user and copy files from a fuji camera with PTP

##############################################################################
# put in the user, group and dir for the user who will get the photo files
USER="root"
GROUP="root"
FOTODIR="/var/lib/gphoto/incoming"
##############################################################################

#test "$SUBSYSTEM" = "usb_device" || exit 0
if [ -e "$DEVNAME" ]; then
	chown $USER:$GROUP "$DEVNAME"

	# SUBSYSTEM == usb_device implies that DEVNAME == /dev/bus/usb/002/001 f.i.
	# Determine device ID and bus ID.
	dev=$(basename $DEVNAME)
	bus=$(basename $(dirname $DEVNAME))

	# Download all files from that camera to incoming directory with
	# lowercase filenames
	command="/usr/bin/gphoto2 --port=usb:${bus},${dev} --get-all-files --filename=$FOTODIR/%:"
	$command
	chown $USER:$GROUP $FOTODIR/*
else
	echo "Error - Device $DEVNAME not found!"
	exit 1
fi
